Name: wxsvg
Version: 1.0
Release: 4%{?dist}
Summary: C++ library to create, manipulate and render SVG files

Group: System Environment/Libraries
License: wxWidgets
URL: http://www.wxsvg.org/
Source0: http://downloads.sf.net/wxsvg/wxsvg-%{version}.tar.bz2
Patch0: wxsvg-1.0-internal_expat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: automake, autoconf, libtool
BuildRequires: expat-devel
BuildRequires: freetype-devel
BuildRequires: libart_lgpl-devel
BuildRequires: pango-devel
BuildRequires: pkgconfig
BuildRequires: wxGTK-devel
# this doesn't get picked up for some reason.
Requires:      expat

%description
wxSVG is C++ library to create, manipulate and render SVG files.


%package devel
Summary: Development files for the wxSVG library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: wxGTK-devel

%description devel
wxSVG is C++ library to create, manipulate and render SVG files.


%prep
%setup -q
%patch0 -b .expat
%{__rm} -rf src/svgxml/expat


%build
./autogen.sh
%configure \
    --disable-dependency-tracking \
    --disable-static \
    --disable-ffmpeg
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"

# Get rid of those .la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
%{__rm} -rf $RPM_BUILD_ROOT  


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/svgview
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/wxSVG/
%{_includedir}/wxSVGXML/
%{_libdir}/*.so


%changelog
* Thu Dec 11 2008 Stewart Adam <s.adam at diffingo.com> - 1.0-4
- We do need the BR: libtool though...

* Thu Dec 11 2008 Stewart Adam <s.adam at diffingo.com> - 1.0-3
- Don't use 'libtoolize --force' anymore
- Update expat patch, rm -rf internal expat sources
- BR: expat should be BR: expat-devel

* Thu Nov 20 2008 Stewart Adam <s.adam at diffingo.com> - 1.0-2
- Use autogen.sh to generate ./configure

* Thu Nov 20 2008 Stewart Adam <s.adam at diffingo.com> - 1.0-1
- Update to 1.0
- Sync with devel branch

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 1.0-0.5.b7_3
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 1.0-0.4.b7_3
- Update License field.

* Wed Jun  6 2007 Matthias Saou <http://freshrpms.net/> 1.0-0.3.b7_3
- Update to 1.0b7_3.
- Pass -p to install.
- Remove no longer needed freetype patch, but...
- ...include our own ltmain.sh because it's missing...
- ...run ./autogen.sh since Makefile.in files are missing too.

* Wed May  9 2007 Matthias Saou <http://freshrpms.net/> 1.0-0.2.b7
- Remove rpath on 64bit.
- Update sf.net download URL.
- Add missing wxGTK-devel requirement to the devel package.

* Fri Jan 19 2007 Matthias Saou <http://freshrpms.net/> 1.0-0.1.b7
- Initial RPM release.

